<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTransformativeObjectiveActivity extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('transformative_objective_activity', function (Blueprint $table) {
			$table->increments('id');
			$table->integer('trans_action_id')->unsigned();
			$table->integer('activity_id')->unsigned();
			$table->integer('objective_id')->unsigned();
			$table->foreign('objective_id')
				->references('id')
				->on('objectives')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table->foreign('trans_action_id')
				->references('id')
				->on('transformative_actions')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table->foreign('activity_id')
				->references('id')
				->on('activities')
				->onDelete('cascade')
				->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('transformative_objective_activity');
	}
}
